Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77082 - Not able to configure the 'scope' of an address assigned to an interface
Summary: Not able to configure the 'scope' of an address assigned to an interface
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-31 22:13 UTC by Iustin Pop
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-31 22:14:05 UTC


Attachments (Terms of Use)

Description Iustin Pop 2002-10-31 22:13:57 UTC
Description of Problem:
The /sbin/ifup script which activates and configures network devices in RedHat
Linux is forcing the 'scope' property of addresses added to devices to 'host'
for the loopback device and to default (global) for all other devices.

It would be useful to be able to customize the scope field, since this allow a
finer selection of source addresses of network connection from the machine
(among others).

Version-Release number of selected component (if applicable):
ALL

Simple diff -u:
--- ifup.orig   2002-11-01 00:09:49.000000000 +0200
+++ ifup        2002-11-01 00:14:29.000000000 +0200
@@ -235,7 +235,7 @@
     if [ "${DEVICE}" = "lo" ]; then
        SCOPE="scope host"
     else
-        SCOPE=
+        SCOPE=${SCOPE:-}
     fi

     if [ -n "$SRCADDR" ]; then

Comment 1 Bill Nottingham 2002-11-12 04:58:57 UTC
Added in CVS, will be in 6.96-1 or later.


Note You need to log in before you can comment on or make changes to this bug.